Pinterest

Create Pinterest Board

Creates a board on the account. Works only on Pinterest connections.

POST
/v1/connections/{id}/pinterest/boards

Authorization

headerx-api-key<token>

Workspace API key, sent in the x-api-key header. Keys start with op_ and are created in the dashboard.

Path Parameters

id*string
Length1 <= length

Request Body

application/json
  1. body
name*string
Length1 <= length <= 180
description?string
Lengthlength <= 500

Response Body

Created board

application/json
  1. response
accountId*string
platform*"pinterest"
Value in"pinterest"
board*
sandbox*boolean
createdAt*string
Formatdate-time
Example Request
import { Configuration, ConnectionsApi } from "@onepostly/sdk";const connectionsApi = new ConnectionsApi(  new Configuration({ apiKey: process.env.ONEPOSTLY_API_KEY }));const response = await connectionsApi.createPinterestBoard({  id: "a1b2c3d4-e5f6-4a7b-8c9d-e0f1a2b3c4d5",  body: {    "name": "Summer ideas",    "description": "My summer inspiration board"  },});console.log(response);
Example Response
{  "accountId": "a1b2c3d4-e5f6-4a7b-8c9d-e0f1a2b3c4d5",  "platform": "pinterest",  "board": {    "id": "1234567890123456789",    "name": "Summer ideas"  },  "sandbox": false,  "createdAt": "2026-08-25T10:00:00.000Z"}